routes/web.php
<?php

use App\Http\Controllers\AnswerController;
use App\Http\Controllers\API\CommandController;
use App\Http\Controllers\ButtonsController;
use App\Http\Controllers\CandidatesController;
use App\Http\Controllers\CompanyController;
use App\Http\Controllers\PositionController;
use App\Http\Controllers\QuestionsController;
use App\Http\Controllers\ReportController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\API\BookingController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ExportController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [HomeController::class, 'index'])->name('index');
Route::post('/position/add-question/{position}', [PositionController::class, 'addQuestion'])->name('position.questions');
Route::post('/sendNotifications', [HomeController::class, 'sendNotifications'])->name('sendNotifications');
Route::get('/export/reactions', [ExportController::class,'getReactionsView'])->name('export.reactions.view');
Route::post('/export/get_reactions', [ExportController::class,'getReactionsForExport'])->name('export.get.reactions');
Route::post('/export/reactions', [ExportController::class, 'exportReaction'])->name('export.reaction');
Route::get('/questions', [QuestionsController::class, 'index'])->name('questions.index');
Route::get('/questions/create/{positionId}', [QuestionsController::class, 'create'])->name('questions.create');
Route::post('/questions/store', [QuestionsController::class, 'store'])->name('questions.store');
Route::get('/questions/show/{id}', [QuestionsController::class, 'show'])->name('questions.show');
Route::post('/questions/update', [QuestionsController::class, 'update'])->name('questions.update');
Route::get('/questions/destroy/{id}', [QuestionsController::class, 'destroy'])->name('questions.destroy');

Route::post('/buttons/store', [ButtonsController::class, 'store'])->name('buttons.store');

Route::get('/candidates', [CandidatesController::class, 'index'])->name('candidates.index');
Route::get('/candidates/create', [CandidatesController::class, 'create'])->name('candidates.create');
Route::post('/candidates/store', [CandidatesController::class, 'store'])->name('candidates.store');
Route::get('/candidates/show/{id}', [CandidatesController::class, 'show'])->name('candidates.show');
Route::post('/candidates/delete/{id}', [CandidatesController::class, 'delete'])->name('candidates.delete');
Route::get('botan/staff/get', [HomeController::class, 'showStaff'])->name('showStaff');

Route::get('/report', [ReportController::class, 'index'])->name('report');
Route::resource('company', CompanyController::class);
Route::resource('position', PositionController::class);
Route::get('/admin/command', [CommandController::class, 'command']);

app/Models/Company.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Company extends Model
{
    use HasFactory;
    protected $fillable = ['name', 'description'];

    public function positions(): HasMany
    {
        return $this->hasMany(Position::class);
    }
}

app/Http/Controllers/CompanyController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CompanyRequest;
use App\Models\Company;

class CompanyController extends Controller
{
    public function index()
    {
        $companies = Company::query()->paginate(15);
        return view('company.index', compact('companies'));
    }

    public function create()
    {
        return view('company.create');
    }

    public function store(CompanyRequest $request)
    {
        Company::query()->create($request->validated());
        return redirect(route('company.index'));
    }

    public function show(Company $company)
    {
        return view('company.show', compact('company'));
    }

    public function edit(CompanyRequest $request, Company $company)
    {
        $company->updateOrFail($request->validated());
        return redirect(route('company.index'));
    }

    public function destroy(Company $company)
    {
        $company->delete();
        return redirect(route('company.index'));
    }
}

resources/views/company/create.blade.php
@extends('layouts.hr')
@section('content')
    <div id="content-wrapper" style="margin-top: 65px;">
        <div class="container-fluid">
            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div><br />
            @endif
            <form method="post" action="{{route('company.store')}}">
                @csrf
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <label for="text">Name</label>
                            <input class="form-control"
                                   name="name"
                                   id="name"
                                   required/>
                        </div>
                        <div class="col-md-12">
                            <label for="description">Description</label>
                            <textarea class="w-100 form-control"
                                      name="description"
                                      required
                                      id="description"
                                      cols="30" rows="10"
                                      maxlength="1500"></textarea>

                            <button class="btn btn-primary mt-1">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection

resources/views/company/index.blade.php
@extends('layouts.hr')
@section('content')
    <div id="content-wrapper" style="margin-top: 65px">
        <div class="container-fluid">
            <h4>Companies</h4>
            <a class="btn btn-primary" href="{{route('company.create')}}">+ Create Company</a>
            <table class="table table-hover">
                <tr>
                    <th>id</th>
                    <th>name</th>
                </tr>
                @foreach($companies as $company)
                    <tr>
                        <td>{{$company->id}}</td>
                        <td>{{$company->name}}</td>
                        <td>
                            <div style="display: flex">
                                <a class="btn btn-primary" href="{{route('company.show', ['company' => $company])}}">edit</a>
                                <form action="{{route('company.destroy', ['company' => $company])}}" method="post">
                                    @method('DELETE')
                                    @csrf
                                    <button class="btn btn-rounded btn-close" type="submit" value="Delete" data-toggle="tooltip" title="Delete!"></button>
                                </form>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </table>
            {{$companies->links()}}
        </div>
    </div>
@endsection

resources/views/company/show.blade.php
@extends('layouts.hr')
@section('content')
    <div id="content-wrapper" style="margin-top: 65px;">
        <div class="container-fluid">
            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div><br />
            @endif
            <form action="{{route('company.edit', ['company' => $company])}}">
                @method('PUT')
                @csrf
                <div>
                    <label for="text">Name</label>
                    <input class="form-control" name="name" id="name" value="{{$company->name}}"/>
                </div>
                <div>
                    <label for="description">Description</label>
                    <textarea class="w-100 form-control" name="description" id="description" cols="30" rows="10">{{$company->description}}</textarea>
                </div>
                <button class="btn btn-primary">Update</button>
            </form>
        </div>
    </div>
@endsection